package cn.net.cpzslibs.prot.handset.bean;

public class Prot10053LoginNewWineResult {

	private String company_id;// 公司ID
	private String iemi_id;// 产品ID
	private int work_mode;// 企业模式，0-产品 1-产家 2-商城 3-汽配 4-书类 5-佛教 6-酒类 7-快消品 9-烟草
							// 10-红酒城 11-云天化
	private int iResult;// 0 成功 1失败

	private int errcode;
	private String errmsg;
	private int result;

	public Prot10053LoginNewWineResult() {

	}

	public Prot10053LoginNewWineResult(String company_id, String iemi_id,
			int work_mode, int iResult, int errcode, String errmsg, int result) {
		super();
		this.company_id = company_id;
		this.iemi_id = iemi_id;
		this.work_mode = work_mode;
		this.iResult = iResult;
		this.errcode = errcode;
		this.errmsg = errmsg;
		this.result = result;
	}

	public String getCompany_id() {
		return company_id;
	}

	public void setCompany_id(String company_id) {
		this.company_id = company_id;
	}

	public String getIemi_id() {
		return iemi_id;
	}

	public void setIemi_id(String iemi_id) {
		this.iemi_id = iemi_id;
	}

	public int getWork_mode() {
		return work_mode;
	}

	public void setWork_mode(int work_mode) {
		this.work_mode = work_mode;
	}

	public int getiResult() {
		return iResult;
	}

	public void setiResult(int iResult) {
		this.iResult = iResult;
	}

	public int getErrcode() {
		return errcode;
	}

	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}

	public int getResult() {
		return result;
	}

	public void setResult(int result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "Prot10053LoginNewWineResult [company_id=" + company_id
				+ ", iemi_id=" + iemi_id + ", work_mode=" + work_mode
				+ ", iResult=" + iResult + ", errcode=" + errcode + ", errmsg="
				+ errmsg + ", result=" + result + "]";
	}

}
